查看智能体Web应用发布记录

读取指定智能体的公开链接、启用状态和轮换时间。

GET https://api.moi.matrixorigin.cn/v5/workspaces/{workspace_id}/agents/{agent_id}/webapp

调用前准备

BASE_URL 使用产品 API 前缀 https://api.moi.matrixorigin.cn/v5;专有部署填写对应的产品 API 地址。

准备发布管理身份和对象。

请求

curl --request GET \
  "$BASE_URL/workspaces/$WORKSPACE_ID/agents/$AGENT_ID/webapp" \
  --header "X-API-Key: $MOI_KEY" \
  --header "X-Workspace-ID: $WORKSPACE_ID"

参数

位置

类型

必填

说明

workspace_id

路径

string

是

同环境发布工作区ID。

agent_id

路径

string

是

目标智能体ID。

旧智能体没有发布记录时,首次管理读取会在确认智能体存在后补建停用记录;新建智能体的创建链另有启用默认。读取成功不表示公开访客已能完成调用。

成功响应

{
  "code": 0,
  "data": {
    "agent_id": "agent-example",
    "enabled": true,
    "url": "https://app.example.invalid/webapp?k=example-short-code",
    "token": "example-publication-token",
    "created_at": "2026-11-12T01:00:00Z",
    "updated_at": "2026-11-12T01:00:00Z",
    "last_rotated_at": null
  }
}

字段

类型

说明

code

integer

成功代码。

data

object

对应对象。

错误响应

错误与回读按该入口区分参数、权限和写入结果。

最后更新于